POST /api/v202206/bill/{billId}/account/{accountId}/template

Creates a new Template from an existing Bill's cost-only line items belonging to the provided Account (lines which came from a vendor template will be dropped).

CreateAccountTemplateFromBillV202206 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
billId Id of Bill from which to create the Template integer (int32) Required
accountId Id of Account whose bodylines from source bill will be used to create the Template integer (int32) Required

Request Body

CreateTemplateFromBill
Property Description Type
note The template note Must be between 0 and 255 characters string
templateCode The template code Always converted to uppercase Required Must be between 0 and 32 characters string
Example Request Body application/json
{  "note": "string",  "templateCode": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

TemplateResponse
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
demandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
note string
templateCode string
templateId integer (int32)
templateInfo string
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
versions VersionChild[]
VersionChild properties
Property Description Type
beginDate string (date-time)
endDate string (date-time)
versionId integer (int32)
Example Response application/json
{  "commodity": {    "commodityCode": "string",    "commodityIcon": {      "code": "string",      "color": "string"
    },    "commodityId": 1,    "commodityInfo": "string"
  },  "demandUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "note": "string",  "templateCode": "string",  "templateId": 1,  "templateInfo": "string",  "useUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "versions": [
    {    "beginDate": "2026-03-30",    "endDate": "2026-03-30",    "versionId": 1
  }
  ]
}